Subject: bug#18437: 24.3.93; cursor changes color and size at end of line

From: David Reitter <[email-masked]>
Date: Wed, 10 Sep 2014 16:37:33 -0400

On Sep 10, 2014, at 1:59 PM, Alp Aker <[email-masked]> wrote:
> 
> > Note cursor changes color to black.  Move point one to the left, and cursor 
> > will change back to what it's supposed to be.
> 
> Do you have overflow-newline-into-fringe set to non-nil?  If so, then this is a problem specific to the NS port:  the cursor is being displayed in the foreground color of your fringe 
> face.  This doesn't look like a regression, though, so fixed in trunk (r117858).

Yes overflow-newline-into-fringe is t.  This is obviously the default then.

OK, thanks for your fix.  I’m going to grab and merge it.  If I see the problem again, I’ll update this bug.